Bug 1212318 - Review Request: golang-github-hashicorp-serf- Service orchestration and management tool http://www.serfdom.io
Summary: Review Request: golang-github-hashicorp-serf- Service orchestration and manag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Skalický
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1060502 1211985 1211990 1212031 1212047 1212056 1212065 1212116 1212124
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-16 07:19 UTC by Jan Chaloupka
Modified: 2015-07-30 00:49 UTC (History)
3 users (show)

Fixed In Version: golang-github-hashicorp-serf-0-0.1.git4bd6183.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 00:40:11 UTC
branto: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-16 07:19:04 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-serf/golang-github-hashicorp-serf.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-serf/golang-github-hashicorp-serf-0-0.1.git4bd6183.fc20.src.rpm

Description: Service orchestration and management tool http://www.serfdom.io

Fedora Account System Username: jchaloup

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-hashicorp-serf-0-0.1.git4bd6183.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-serf-devel-0-0.1.git4bd6183.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-04-16 07:24:31 UTC
Koji: package depends on bz1211985, bz1211990, bz1212031, bz1212047, bz1212056, bz1212116, bz1212065, bz1212124. golang-github-mitchellh-cli has repository (bz1060502) which is empty at the moment. Locally it builds fine.

Notes: We could add surf package as well (as it is a tool). But I will wait until there is a request for it.

Comment 2 Marek Skalický 2015-06-22 12:49:13 UTC
Specfile conforms to current Go packaging draft [1].

[1] https://fedoraproject.org/wiki/PackagingDrafts/Go




MUST items:
- NON: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
  -> I wasn't able to build it due to missing "golang(github.com/mitchellh/cli)"

SHOULD items:
- Latest version is not packed


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[!]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[-]: Package installs properly.
[-]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Comment 3 Boris Ranto 2015-07-15 11:16:46 UTC
The package builds fine locally and passes the review, we are good to create dist-git repos -> setting fedora-review+

Comment 4 Jan Chaloupka 2015-07-15 11:21:14 UTC
New Package SCM Request
=======================
Package Name: golang-github-hashicorp-serf
Short Description: Service orchestration and management tool http://www.serfdom.io
Upstream URL: https://github.com/hashicorp/serf
Owners: jchaloup
Branches: f23 f22 f21 el6
InitialCC: golang-sig

Comment 5 Gwyn Ciesla 2015-07-15 17:32:05 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-07-16 18:57:47 UTC
golang-github-hashicorp-serf-0-0.1.git4bd6183.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-serf-0-0.1.git4bd6183.fc22

Comment 7 Fedora Update System 2015-07-16 18:59:23 UTC
golang-github-hashicorp-serf-0-0.1.git4bd6183.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-serf-0-0.1.git4bd6183.fc21

Comment 8 Fedora Update System 2015-07-16 18:59:38 UTC
golang-github-hashicorp-serf-0-0.1.git4bd6183.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-serf-0-0.1.git4bd6183.el6

Comment 9 Fedora Update System 2015-07-16 23:43:26 UTC
golang-github-hashicorp-serf-0-0.1.git4bd6183.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 10 Fedora Update System 2015-07-30 00:40:11 UTC
golang-github-hashicorp-serf-0-0.1.git4bd6183.fc22 has been pushed to the Fedora 22 stable repository.

Comment 11 Fedora Update System 2015-07-30 00:49:06 UTC
golang-github-hashicorp-serf-0-0.1.git4bd6183.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.